OpenPose 1.0.0rc2 OpenPose: A Real-Time Multi-Person Key-Point Detection And Multi-Threading C++ Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | List of all members
op::PersonTracker Class Reference

`#include <personTracker.hpp>`

## Public Member Functions
| PersonTracker (const bool mergeResults, const int levels=3, const int patchSize=31, const float confidenceThreshold=0.05f, const bool trackVelocity=false, const bool scaleVarying=false, const float rescale=640)
virtual | ~PersonTracker ()
void | track (Array< float > &poseKeypoints, Array< long long > &poseIds, const cv::Mat &cvMatInput)
void | trackLockThread (Array< float > &poseKeypoints, Array< long long > &poseIds, const cv::Mat &cvMatInput, const long long frameId)
bool | getMergeResults () const

## Constructor & Destructor Documentation

op::PersonTracker::PersonTracker | ( | const bool | mergeResults,
|  | const int | levels = `3`,
|  | const int | patchSize = `31`,
|  | const float | confidenceThreshold = `0.05f`,
|  | const bool | trackVelocity = `false`,
|  | const bool | scaleVarying = `false`,
|  | const float | rescale = `640`
| ) |  |

virtual op::PersonTracker::~PersonTracker | ( |  | ) |
| virtual

## Member Function Documentation

bool op::PersonTracker::getMergeResults | ( |  | ) | const

void op::PersonTracker::track | ( | Array< float > & | poseKeypoints,
|  | Array< long long > & | poseIds,
|  | const cv::Mat & | cvMatInput
| ) |  |

void op::PersonTracker::trackLockThread | ( | Array< float > & | poseKeypoints,
|  | Array< long long > & | poseIds,
|  | const cv::Mat & | cvMatInput,
|  | const long long | frameId
| ) |  |

The documentation for this class was generated from the following file:

- /home/travis/build/CMU-Perceptual-Computing-Lab/openpose/include/openpose/tracking/personTracker.hpp